# Generated by Django 4.0.3 on 2022-07-14 21:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('recipes', '0008_alter_ingredient_name'),
    ]

    operations = [
        migrations.AlterField(
            model_name='ingredient',
            name='food',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='recipes.fooditem'),
        ),
        migrations.AlterField(
            model_name='ingredient',
            name='measure',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='recipes.measure'),
        ),
        migrations.AlterField(
            model_name='ingredient',
            name='recipe',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recipes.recipe'),
        ),
        migrations.AlterField(
            model_name='step',
            name='recipe',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='steps', to='recipes.recipe'),
        ),
    ]
